Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# DBM_Filter::null

Perl 5 version 26.0 documentation
Go to top
Show page index • Show recent pages
Recently read

# DBM_Filter::null

- NAME
- SYNOPSIS
- DESCRIPTION
- SEE ALSO
- AUTHOR

# NAME

DBM_Filter::null - filter for DBM_Filter

# SYNOPSIS

        use SDBM_File; # or DB_File, GDBM_File, NDBM_File, or ODBM_File    use DBM_Filter ;    $db = tie %hash, ...    $db->Filter_Push('null');

# DESCRIPTION

This filter ensures that all data written to the DBM file is null terminated. This is useful when you have a perl script that needs to interoperate with a DBM file that a C program also uses. A fairly common issue is for the C application to include the terminating null in a string when it writes to the DBM file. This filter will ensure that all data written to the DBM file can be read by the C application.

# SEE ALSO

DBM_Filter, perldbmfilter

# AUTHOR

Paul Marquess pmqs@cpan.org

Page index

- NAME
- SYNOPSIS
- DESCRIPTION
- SEE ALSO
- AUTHOR